Incidencia #41821

civ2: improve Palace compatibility

Abrir Fecha: 2021-03-22 06:27 Última actualización: 2022-06-22 07:34

Informador:
Propietario:
(Ninguno)
Tipo:
Estado:
Open
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Ninguno
Fichero:
Ninguno

Details

In the original game, palace was not automatically rebuilt. In v.3.1, we probably should compensate for it with reduced buy/shield cost as for a regular improvement (IDK but likely it was one).

Ticket History (3/7 Histories)

2021-03-22 06:27 Updated by: ihnatus
  • New Ticket "civ2: improve Palace compatibility" created
2021-04-17 07:45 Updated by: cazfi
Comentario

Reply To ihnatus

In the original game, palace was not automatically rebuilt.

So should disable savepalace by default in civ1/civ2.

In v.3.1, we probably should compensate for it with reduced buy/shield cost as for a regular improvement (IDK but likely it was one).

What exactly you want to change relative to 3.0? The "Building_Buy_Cost_Pct" effect with value 100 is already targeted to Great Wonders genus only.

2021-05-14 18:38 Updated by: cazfi
Comentario

Reply To cazfi

Reply To ihnatus

In the original game, palace was not automatically rebuilt.

So should disable savepalace by default in civ1/civ2.

Split this to -> #42266
2021-09-25 18:04 Updated by: cazfi
Comentario

The S3_0 related part is already resolved, in another ticket.

2022-06-21 04:59 Updated by: cazfi
Comentario

Reply To cazfi

Reply To ihnatus

In v.3.1, we probably should compensate for it with reduced buy/shield cost as for a regular improvement (IDK but likely it was one).

What exactly you want to change relative to 3.0? The "Building_Buy_Cost_Pct" effect with value 100 is already targeted to Great Wonders genus only.

Nothing? Should this ticket be closed?

2022-06-22 07:34 Updated by: ihnatus
Comentario

Ah yes, likely, this point is already fixed. Haven't noticed that genus buy cost effect is unhardcoded. Close it.

(Edited, 2022-06-22 07:41 Updated by: ihnatus)

Attachment File List

No attachments

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar